Bug 134626 - Suggestion of extending vfs2
Suggestion of extending vfs2
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: gnome-vfs2 (Show other bugs)
3
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Alexander Larsson
: FutureFeature
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-10-05 03:17 EDT by bednar
Modified: 2008-08-02 19:40 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-09-01 10:48:39 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description bednar 2004-10-05 03:17:43 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; rv:1.7.3) Gecko/20041002
Firefox/0.10.1

Description of problem:
Actually most of apps cannot directly open files form vfs folders. One
have to copy such file form e.g. sftp: share to local disk edit it and
then upload back (using Nautilus). 
In KDE the files accesses via for example fish: protocol are
immediately copied to /tmp edited and automagically copied back to
original location. It is transparent to the apps if file lie on local
filesystem or on remote.
I thing gnome-vfs should give same functionality to be user friendly
it is gnoem-vfs should be transparent for ALL application. 

Version-Release number of selected component (if applicable):
gnome-vfs2-smb-2.8.1-5
gnome-vfs2-2.8.1-5

How reproducible:
Always

Steps to Reproduce:
1.Open PDF from remote location under Nautilus (sftp://)
2.
3.
    

Actual Results:  The PDF reader (xpdf, acroread, gv) cannot open file
from remote share,
one should first copy PDF file to local fs.

Expected Results:  xpdf opens file without any warning

Additional info:
Comment 1 Matthew Miller 2006-07-10 19:08:52 EDT
Fedora Core 3 is now maintained by the Fedora Legacy project for security
updates only. If this problem is a security issue, please reopen and
reassign to the Fedora Legacy product. If it is not a security issue and
hasn't been resolved in the current FC5 updates or in the FC6 test
release, reopen and change the version to match.

Thank you!

Note You need to log in before you can comment on or make changes to this bug.